> ## Documentation Index
> Fetch the complete documentation index at: https://allhandsai-chore-regenerate-agent-sdk-openapi.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Plugins

> List locally-available plugins (enabled installed + user/project dirs).

Args:
    request: Which local sources to load.

Returns:
    PluginsResponse with available plugin summaries.



## OpenAPI

````yaml /openapi/agent-sdk.json post /api/plugins
openapi: 3.1.0
info:
  description: OpenHands Agent Server - REST/WebSocket interface for OpenHands AI Agent
  title: OpenHands Agent Server
  version: 1.52.0
servers: []
security: []
paths:
  /api/plugins:
    post:
      tags:
        - Plugins
      summary: Get Plugins
      description: |-
        List locally-available plugins (enabled installed + user/project dirs).

        Args:
            request: Which local sources to load.

        Returns:
            PluginsResponse with available plugin summaries.
      operationId: get_plugins_api_plugins_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PluginsRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PluginsResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - APIKeyHeader: []
components:
  schemas:
    PluginsRequest:
      description: Request body for listing locally-available plugins.
      properties:
        load_project:
          default: true
          description: Load project plugins from the workspace
          title: Load Project
          type: boolean
        load_user:
          default: true
          description: Load user plugins (~/.agents/plugins, etc.)
          title: Load User
          type: boolean
        project_dir:
          anyOf:
            - type: string
            - type: 'null'
          description: Workspace directory path for project plugins
          title: Project Dir
      title: PluginsRequest
      type: object
    PluginsResponse:
      description: Response containing the locally-available plugins.
      properties:
        plugins:
          items:
            $ref: '#/components/schemas/PluginInfo'
          title: Plugins
          type: array
      required:
        - plugins
      title: PluginsResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    PluginInfo:
      description: Summary of an available plugin.
      properties:
        description:
          default: ''
          title: Description
          type: string
        files:
          description: Plugin files, relative to the plugin directory
          items:
            type: string
          title: Files
          type: array
        name:
          title: Name
          type: string
        path:
          default: ''
          description: Path to the plugin directory
          title: Path
          type: string
        skills:
          description: Skills bundled in the plugin
          items:
            $ref: '#/components/schemas/PluginSkillSummary'
          title: Skills
          type: array
        version:
          default: ''
          title: Version
          type: string
      required:
        - name
      title: PluginInfo
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    PluginSkillSummary:
      description: Summary of a skill bundled in a plugin.
      properties:
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        name:
          title: Name
          type: string
      required:
        - name
      title: PluginSkillSummary
      type: object
  securitySchemes:
    APIKeyHeader:
      in: header
      name: X-Session-API-Key
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.